Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class SystemUserCredential

    java.lang.Object
      oracle.ifs.common.SystemUserCredential

All Implemented Interfaces:
  java.io.Serializable, Credential

    public class SystemUserCredential

extends java.lang.Object
implements Credential

A SystemUserCredential encapsulates information required to create a 'system' user session.

See Also:
  Serialized Form
(Published)

Field Summary
`protected javax.sql.DataSource` | `m_DataSource` The datasource.
`protected java.lang.String` | `m_Password` The password.
`protected java.lang.Object` | `m_ServiceToken` The service token.

Constructor Summary
`SystemUserCredential()` Constructs a SystemUserCredential.
`SystemUserCredential(javax.sql.DataSource dataSource)` Constructs a SystemUserCredential.
`SystemUserCredential(java.lang.Object serviceToken)` Constructs a SystemUserCredential.
`SystemUserCredential(java.lang.String password)` Constructs a SystemUserCredential.

Method Summary
`javax.sql.DataSource` | `getDataSource()` Gets the DataSource.
`java.lang.String` | `getName()` Gets the name of the user.
`java.lang.String` | `getPassword()` Gets the password.
`java.lang.Object` | `getServiceToken()` Gets the service token.
`boolean` | `isDataSourceBased()` Returns true if the Credentiual is based on a DataSource.
`boolean` | `isSchemaPasswordBased()` Returns true if the Credentiual is based on schema password.
`boolean` | `isServiceTokenBased()` Returns true if the Credentiual is based on a service token.
`void` | `setName(java.lang.String name)` Sets the name of the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Password

    protected java.lang.String m_Password

  Description copied from class: `SystemUserCredential`
  The password.

  (Unpublished)

### m_DataSource

    protected javax.sql.DataSource m_DataSource

  Description copied from class: `SystemUserCredential`
  The datasource.

  (Unpublished)

### m_ServiceToken

    protected java.lang.Object m_ServiceToken

  Description copied from class: `SystemUserCredential`
  The service token.

  (Unpublished)

Constructor Detail

### SystemUserCredential

    public SystemUserCredential()

  Constructs a SystemUserCredential.

  (Published)

### SystemUserCredential

    public SystemUserCredential(java.lang.String password)
                         throws IfsException

  Constructs a SystemUserCredential.

  Parameters:
    `password` - the password
  Throws:
    `IfsException` - if the operation fails
  (Published)

### SystemUserCredential

    public SystemUserCredential(javax.sql.DataSource dataSource)
                         throws IfsException

  Constructs a SystemUserCredential.

  Parameters:
    `dataSource` - the DataSource
  Throws:
    `IfsException` - if the operation fails
  (Published)

### SystemUserCredential

    public SystemUserCredential(java.lang.Object serviceToken)
                         throws IfsException

  Constructs a SystemUserCredential.

  Parameters:
    `serviceToken` - the serviceToken
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### getPassword

    public java.lang.String getPassword()

  Description copied from class: `SystemUserCredential`
  Gets the password.

  Returns:
    the password
  (Published)

### getDataSource

    public javax.sql.DataSource getDataSource()

  Description copied from class: `SystemUserCredential`
  Gets the DataSource.

  Returns:
    the DataSource
  (Published)

### getServiceToken

    public java.lang.Object getServiceToken()

  Description copied from class: `SystemUserCredential`
  Gets the service token.

  Returns:
    the service token
  (Published)

### isSchemaPasswordBased

    public boolean isSchemaPasswordBased()

  Description copied from class: `SystemUserCredential`
  Returns true if the Credentiual is based on schema password.

  Returns:
    true if the Credentiual is based on schema password
  (Published)

### isDataSourceBased

    public boolean isDataSourceBased()
                              throws IfsException

  Description copied from class: `SystemUserCredential`
  Returns true if the Credentiual is based on a DataSource.

  Returns:
    true if the Credentiual is based on a DataSource
  Throws:
    `IfsException`
  (Published)

### isServiceTokenBased

    public boolean isServiceTokenBased()
                                throws IfsException

  Description copied from class: `SystemUserCredential`
  Returns true if the Credentiual is based on a service token.

  Returns:
    true if the Credentiual is based on a service token
  Throws:
    `IfsException`
  (Published)

### getName

    public java.lang.String getName()
                             throws IfsException

  Description copied from interface: `Credential`
  Gets the name of the user.

  Specified by:
    `getName` in interface `Credential`
  Returns:
    the name of the user
  Throws:
    `IfsException` - (IFS-10187) if the operation fails

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Description copied from interface: `Credential`
  Sets the name of the user.

  Specified by:
    `setName` in interface `Credential`
  Parameters:
    `name` - the name of the user
  Throws:
    `IfsException` - (IFS-10188) if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD